# Interface StructuredLogBuffer

All Known Implementing Classes:
  `StructuredLogBufferImpl`

public interface StructuredLogBuffer

## Method Summary

Modifier and Type
Method
Description
`String`
`getHighestLogLevelName()`
`List<LogSnapshot>`
`getRecent(Pattern pattern, String minLevel, int maxEntries)`
`List<String>`
`getValidLogLevelNames()`
`boolean`
`isValidLogLevel(String logLevelName)`

## Method Details

### isValidLogLevel

boolean isValidLogLevel(String logLevelName)

### getValidLogLevelNames

List<String> getValidLogLevelNames()

### getHighestLogLevelName

String getHighestLogLevelName()

### getRecent

List<LogSnapshot> getRecent(Pattern pattern, String minLevel, int maxEntries)